> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roundtable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Getting Session Events

> Get the chronological list of user events recorded during a specific session



## OpenAPI

````yaml GET /v1/sessions/{sessionId}/events
openapi: 3.0.0
info:
  title: Roundtable API
  description: API for real-time bot detection
  version: v1
  contact:
    email: support@roundtable.ai
servers:
  - url: https://api.roundtable.ai
    description: Production API server
security:
  - BearerAuth: []
tags:
  - name: sessions
    description: Operations related to session data
  - name: users
    description: Operations related to user data
  - name: tags
    description: Operations related to tag data
externalDocs:
  description: Roundtable Documentation
  url: https://docs.roundtable.ai
paths:
  /v1/sessions/{sessionId}/events:
    get:
      summary: Retrieve the event log for a specific session
      description: >-
        Get the chronological list of user events recorded during a specific
        session
      parameters:
        - name: sessionId
          in: path
          required: true
          schema:
            type: string
          description: >-
            The unique session identifier (from
            `window.getRoundtableSessionId()`)
      responses:
        '200':
          description: Session events retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  session_id:
                    type: string
                    description: Unique identifier for the session
                    example: abc123def456
                  event_count:
                    type: integer
                    description: Total number of events recorded during the session
                    example: 3
                  events:
                    type: array
                    description: >-
                      Chronological list of user events recorded during the
                      session
                    items:
                      type: object
                      properties:
                        action:
                          type: string
                          description: Description of the user event
                          example: Navigated to /dashboard
                        user_time:
                          type: string
                          description: >-
                            Human-readable timestamp in the user's local
                            timezone
                          example: Mar 25, 2025 14:30:50
                        unix_timestamp:
                          type: integer
                          description: Unix timestamp in milliseconds
                          example: 1743055850000
                    example:
                      - action: Signed in
                        user_time: Mar 25, 2025 14:30:45
                        unix_timestamp: 1743055845000
                      - action: Navigated to /dashboard
                        user_time: Mar 25, 2025 14:30:50
                        unix_timestamp: 1743055850000
                      - action: Clicked "Update credit card"
                        user_time: Mar 25, 2025 14:32:15
                        unix_timestamp: 1743055935000
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Use your secret API key as the bearer token

````